* {
  margin: 0;
  padding: 0;
  font-family: Verdana, Geneva, Tahoma, sans-serif;
  box-sizing: border-box;
}

body {
  height: 90vh;
  overflow-y: hidden;
}

header,
nav {
  height: 14vh;
  background: linear-gradient(to right, rgb(86, 237, 219), rgb(159, 86, 237));
}

nav {
  display: flex;
  justify-content: space-between;
  padding: 0 3vw;
  padding-right: 5vw;
  align-items: center;
  font-size: clamp(2rem, 6vw, 3rem);
  font-weight: bold;
  gap: 9vw;
}


.light-button{
  background-color: transparent;
  border: none;
}

.tooltip-text{
  background-color: rgb(44, 44, 44);
  color: rgb(181, 181, 181);
  font-size: 16px;
  padding: 10px 15px;
  white-space: nowrap;
  visibility: hidden;
  position:absolute ;
  top: 95px;
  right: 60px;
  opacity: 0; 
  transition-timing-function: 3s; 
  transition: opacity 0.3s ease-in, visibility 0.3s; 
}

.light-button:hover .tooltip-text{
  visibility: visible;
  opacity: 0.9;
}

.light-button:active .tooltip-text{
  visibility: hidden;
  opacity: 0;
  display: none;
}

.light-mode {
  background-color: #e6e6e6;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

i{
  font-size: 50px;
}

.dark-mode {
  background-color: rgb(38, 38, 38);
  color: rgb(103, 103, 103);
}


.title {
  font-size: clamp(2rem, 6vw, 3rem);
}

.winner-title {
  color: hsl(120, 100%, 70%);
  font-size: 42px;
  font-weight: bold;
}

.matrix-board {
  display: grid;
  grid-template-columns: repeat(3, 120px);
  grid-template-rows: repeat(3, 120px);
}

.square {
  border: 3px solid rgb(88, 88, 88);
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: white;
  transition-duration: 0.5s;
  font-size: 3rem;
  font-weight: bold;
}

.square:active{
  background-color: rgba(215, 215, 215, 0.71);
}

button{
  cursor: pointer;
}

.reset-button {
  color: white;
  background-color: rgb(0, 136, 255);
  border: none;
  border-radius: 10px;
  padding: 15px 40px;
  font-size: 1.4rem;
  transition-duration: 0.18s;
}

.reset-button:active {
  background-color: rgb(188, 224, 255);
}
